Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất vì 24/12/2020 trong Bài đăng

  1. 2 điểm
  2. 2 điểm
    Mình nghĩ do bạn không chuyển về model khi dùng lệnh copybase.
  3. 2 điểm
    Mình nghĩ sau khi Paste clip bạn thử set ctab về Model xem còn lỗi không
  4. 1 điểm
    Bộ lisp HTTKD: Chọn lệnh cần dùng, đổi tên lệnh thoải mái. Menu tiếng việt. Tương thích mọi phiên bản Cad. ~ 500 lệnh. Tiết kiệm 500% công sức. Link download: https://1drv.ms/u/s!Ap8FoSCo8tqRjKkRsGqzUEIw7xcyRA?e=BcgZCj Hướng dẫn cài đặt và sử dụng xem tại: fb.com/httkd https://www.youtube.com/playlist?list=PLIiBSE4ORQit2wL4o-EOWmRbezkjv46Vj
  5. 1 điểm
    Xin gửi đến diễn đàn bộ sưu tập video hướng dẫn học AutoCad2008 từ căn bản đến nâng cao,giành cho mọi đối tượng của Cadviet từ:người mới học Cad cho đến những người biết và thành thạo Cad.Video = tiếng Anh nhưng tucdrom nghĩ chắc mọi người rất dễ học vì hình ảnh Video rất trực quan,không phải là 1 mớ lý thuyết xuông. Mở hàng = tập các Video trong level 1,có 3 level(từ 1-->3).Các level tiếp theo mức độ nâng cao tăng dần.Nếu được đông đảo mọi người yêu cầu thì tucdrom sẽ post tiếp. Level 1:Căn bản Video 1:Mô tả các cách khác nhau để bắt đầu một lệnh trong AutoCAD. Link: http://www.cadviet.com/upfiles/starting_co..._in_AutoCAD.rar Video 2:Sử dụng các lệnh Rectangle, Multi Line, Extend, Offset, Trim and Osnaps. Link: http://www.cadviet.com/upfiles/assignment_2.rar Video 3:Thực hành bằng cách sử dụng các lệnh vẽ thông thường và các lệnh hiệu chỉnh. Link: http://www.cadviet.com/upfiles/exercise_3.rar Video 4:Thực hành sử dụng Object Snaps. Link: http://www.cadviet.com/upfiles/exercise_4.rar Video 5:Thực hành lệnh Trim và Offset. Link: http://www.cadviet.com/upfiles/bonus_1.rar Video 6:Kỹ thuật tăng độ chính xác của đầu vào trong Cad. Link: http://www.cadviet.com/upfiles/assignment_3.rar Video 7:Thực hành với kỹ thuật chính xác trên Cad.part1. Link: http://www.cadviet.com/upfiles/extra_5.rar Video 8:Thực hành với kỹ thuật chính xác trên Cad.part2. Link: http://www.cadviet.com/upfiles/extra_6.rar Video 9:Selecting Objects - Part 1. Link: http://www.cadviet.com/upfiles/zoom_pt1.rar Video 10:Selecting Objects - Part 2. Link: http://www.cadviet.com/upfiles/select_2.rar Video 11:Sử dụng lệnh Move, Copy, Stretch and Mirror. Link: http://www.cadviet.com/upfiles/assignment_4.rar Video 12:Thực hành các lệnh hiệu chỉnh(Modify). Link: http://www.cadviet.com/upfiles/extra_7.rar Video 13:Thực hành với lệnhArray và Offset. Link: http://www.cadviet.com/upfiles/extra_13.rar Video 14:Tạo hình = cách sử dụng các lệnh hiệu chỉnh part1. Link: http://www.cadviet.com/upfiles/extra_09.rar Video 15:Tạo hình = cách sử dụng các lệnh hiệu chỉnh part2. Link: http://www.cadviet.com/upfiles/extra_010.rar Video 16:Zoom and Pan trong AutoCad. Link: http://www.cadviet.com/upfiles/zoom_pan.rar Để xem được các đoạn Video trên,mọi người hãy dùng chương trình SWF & FLV Player. ps:Nếu thấy hay mọi người hãy tick thanks :cheers: để ủng hộ cho tucdrom nhé !! (pass giải nén:www.cadviet.com):) -------------------------------------------------------------------------------------------------------------- ps:bài viết trên đã được tucdrom edit lại vào lúc 5h20'(pm) ngày 21/05/2009
  6. 1 điểm
    Ví dụ 2 dòng sau đều gán a = 2 (setq a 2) (set 'a 2) Tuy nhiên hàm set chậm hơn nhưng cho phép by reference, hàm setq chỉ cho phép by value VD hàm swap 2 biến : (defun Swap (ru rv / w) (setq w (eval ru)) (set ru (eval rv)) (set rv w)) (setq a 1 b 2) (swap 'a 'b)
  7. 1 điểm
    Cảm ơn bạn tranducanh18 nhiều nha. Mình làm được rồi.
  8. 1 điểm
    Dùng Civil hoặc MicroStation để đưa sang Cad.
  9. 1 điểm
    Sao không dùng copy paste toàn bộ taphop (vl-cmdf "_.copybase" "_none" '(0 0 0) taphop "")
  10. 1 điểm
    Lisp mình sưu tầm, chắc là được quyền chia sẻ. JJ (join line pline arc).LSP
  11. 1 điểm
    Nhiều người không biết chức năng đổ hatch User Difined cho nên khi thể hiện những bản lát sàn gạch vuông để chính xác về kích thước thường phải vẽ các đường line thủ công rất phiền hà vì phải trim nhiều. Trong lệnh hatct có chức năng User Difined giúp ta đổ hatch vuông theo kích thước ô rất tiện lợi khi làm những bản lát sàn. Bạn dùng lệnh hatch, trong phần type bạn chọn User Difined , nếu bạn chỉ muốn đổ các đường song song thì không chọn nút Double và nhập khoảng cách các đường vào ô Spacing, còn nếu muốn đổ lưới vuông thì nhấp vào ô Double là xong.
  12. 1 điểm
    Mình có viết 1 lisp hỗ trợ vẽ nhanh các loại thép hình theo tiêu chuẩn VN, tiêu chuẩn châu âu. Các bạn làm công việc liên quan có thể xem qua video sau:
  13. 1 điểm
    Mình thông tin đến bạn qua email rồi nhé
  14. 1 điểm
    Hướng dẫn in liên tục khung Block hoặc Rectange (Model, Layout, Folder) trong bộ lisp
  15. 1 điểm
    Giới thiệu đến các bạn lisp tính diện tích này, chức năng như sau: - Ghi tên khu đất, và thêm số thứ tự - Tính diện tích khu đất và ghi diện tích vào Block chỉ tiêu mẫu ( và tự chèn Block này vào khu đất ) - Nếu khu đất đã chèn sẵn Block mà chưa ghi diện tích thì lisp sẽ tự tính và ghi vào Block đó - Có thể chọn cùng lúc nhiều layer giới hạn - Tạo bảng Thống kê diện tích sử dụng đất theo tên đất nhanh chóng ( chú ý vùng bao khu đất phải là vùng khép kín như đường tròn, elíp, polyline closed ) * Các bạn liên hệ qua email bietvecad@gmail.com hoặc https://www.facebook.com/cad.bietve để biết thêm thông tin nhé ! Video giới thiệu: cập nhật mới nhất: Xem thêm: LIsp in nhanh bản vẽ: https://www.youtube.com/watch?v=JDDSdmTV31Y&list=PL05frYPpT5LLRHAE9W-osYor9Jbe7nOg- Lisp tiện ích hay khác: https://www.youtube.com/playlist?list=PL05frYPpT5LJUXFg-LYSgxvSmxzIPdoqA
  16. -1 điểm
    anh cho em hỏi, trình bày thuật toán của chương trình này như nào ạ ?
  17. -1 điểm
    tức là khi em đi bảo vệ đồ án, em sẽ phải trình bày chương trình này giải quyết cái gì từ đầu vào là 1 curve chương trình sẽ cho đầu ra là tọa độ và góc vậy để trình bày điều này cần có thuật toán dạng như sơ đồ khối ấy ạ chứ mình không thể show lisp lên rồi giải thích từng dòng được
  18. -1 điểm
    ai có không ạ? cho em xin với ạ.
  19. -1 điểm
    Các bác cho em hỏi, em thấy ở trên có nhiều đoạn code lấy mã của một thiết bị rồi, làm thế nào để tạo một đoạn dịch mã tương ứng với mã vừa GET. Khi người dùng nhập đoạn Dịch mã đó, thì vlx mới hoạt động.
  20. -1 điểm
    chọn điểm đầu để định vị ô gạch sao ạ ??
  21. -1 điểm
  22. -1 điểm
    ai có hồ sơ cắm mốc giới quy hoạch thì cho em xin với ạ. Em cần nhất là bản vẽ bố trí các mốc giới tim đường, chỉ giới đường đỏ, mốc ranh giới. Thuyết minh thì e căn cứ thông tư 10/2016 tự làm cũng được ạ.
  23. -1 điểm
    Ý em là với lisp và với 2 đường thẳng AB và BA chứ không phải là có 2 góc rồi lấy 1 góc duy nhất anh ạ. tức là với lisp đó đối tượng là AB hya là BA thì kết quả là 1 ý ạ đây là lisp ạ: (setvar "Osmode" 0)(Setvar "orthomode" 0)(setvar "cmdecho" 0) (setq file_text (getfiled "xuât du liêu " "gia công 1 chiêu " "txt" 1)) (setq ket_qua (open file_text "w" ) doi_tuong (car ( entsel " \n chon duong phun son : ")) so_doan (getint (strcat "\n nhâp vào môt sô : ")) d 0.0 L (vlax-curve-getDistAtParam doi_tuong (vlax-curve-getEndParam doi_tuong)) delta_L (/ L so_doan) ) (setq diem (vlax-curve-getpointatdist doi_tuong d) dao_ham(vlax-curve-getFirstDeriv doi_tuong d) goc_tiep_tuyen (angle '( 0 0) dao_ham) goc_phap_tuyen ( * (- (/ pi 2) goc_tiep_tuyen)(/ 180 pi)) ) (Princ (strcat "\nG02 X" (rtos (car diem) 2 0) " Y" (rtos (cadr diem) 2 0) " A" (rtos goc_phap_tuyen 2 0) ) ket_qua) (setq d (+ d delta_L)) (repeat ( 1+ (- so_doan 1)) ( setq diem (vlax-curve-getPointAtDist doi_tuong d) dao_ham (vlax-curve-getFirstDeriv doi_tuong d) goc_tiep_tuyen (angle '( 0 0) dao_ham) goc_phap_tuyen ( * (- (/ pi 2) goc_tiep_tuyen) (/ 180 pi)) d (+ d delta_L) ) (Princ (strcat "\nG01 X" (rtos (car diem) 2 0) " Y" (rtos (cadr diem) 2 0) " A" (rtos goc_phap_tuyen 2 0)) ket_qua) ) (close ket_qua) (Princ (strcat "\nFile Ket qua : \"" file_text "\"")) (princ)
  24. -2 điểm
  25. -3 điểm
    mình đã thử lisp này của bác DOAN VAN HA mình thấy dòng cuối hiện lên báo Select objects: (nil <Selection set: e9>), ko hiện lên bao nhiêu đối tượng dc chọn mà thấy các đối tượng được chọn ở trong BV, nếu hiện lên dc số lượng dc chọn (sau khi ấn F2 thì tốt quá nhỉ)?
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×